Bug 483628 - Review Request: perl-Geo-IPfree - Look up country of IP Address
Review Request: perl-Geo-IPfree - Look up country of IP Address
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-02 12:18 EST by Allisson Azevedo
Modified: 2009-02-06 09:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-06 09:14:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Allisson Azevedo 2009-02-02 12:18:52 EST
Spec URL: http://allisson.fedorapeople.org/packages/perl-Geo-IPfree/perl-Geo-IPfree.spec

SRPM URL: http://allisson.fedorapeople.org/packages/perl-Geo-IPfree/perl-Geo-IPfree-0.4-1.fc10.src.rpm

Description: This package comes with it's own database to look up the IP's country, and
is totally free.
Comment 1 Parag AN(पराग) 2009-02-02 21:32:49 EST
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1100452
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
8d99f85d42447746c5f94f5d5b70df06  Geo-IPfree-0.4.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
All tests successful.
Files=2, Tests=12,  0 wallclock secs ( 0.01 usr  0.00 sys +  0.07 cusr  0.01 csys =  0.09 CPU)
+ Package perl-Geo-IPfree-0.4-1.fc11  ->
Provides:
 perl(Geo::IPfree) = 0.4
Requires:
 perl >= 0:5.006
 perl(Carp)
 perl(Exporter)
 perl(Memoize)
 perl(strict)
 perl(warnings)



 APPROVED.
Comment 2 Allisson Azevedo 2009-02-03 05:40:15 EST
New Package CVS Request
=======================
Package Name: perl-Geo-IPfree
Short Description: Look up country of IP Address
Owners: allisson
Branches: F-9 F-10
Comment 3 Kevin Fenzi 2009-02-05 21:48:04 EST
cvs done.
Comment 4 Allisson Azevedo 2009-02-06 09:14:29 EST
Build ok: http://koji.fedoraproject.org/koji/packageinfo?packageID=7653

Closing now.

Note You need to log in before you can comment on or make changes to this bug.